Bug 738870 - [6.3 FEAT] Enhanced DASD statistics for PAV and HPF - userspace part
Summary: [6.3 FEAT] Enhanced DASD statistics for PAV and HPF - userspace part
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.3
Hardware: s390x
OS: All
high
high
Target Milestone: beta
: 6.3
Assignee: Dan Horák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 767187 704634 705085
TreeView+ depends on / blocked
 
Reported: 2011-09-16 00:32 UTC by IBM Bug Proxy
Modified: 2012-06-20 14:11 UTC (History)
6 users (show)

Fixed In Version: s390utils-1.8.2-43.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 14:11:35 UTC


Attachments (Terms of Use)
s390-tools-rhel6-dasdstat.patch (15.91 KB, text/plain)
2011-12-06 15:52 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0885 normal SHIPPED_LIVE s390utils bug fix and enhancement update 2012-06-19 20:47:32 UTC
IBM Linux Technology Center 74232 None None None Never

Description IBM Bug Proxy 2011-09-16 00:32:47 UTC
1. Feature Overview:
Feature Id: [74232]
a. Name of Feature: [6.3 FEAT] Enhanced DASD statistics for PAV and HPF - userspace part
b. Feature Description

This feature extends the DASD statistics feature to allow for a more detailed analysis of DASD I/O operations, especially in the context of zHPF and PAV:
??? The current ioctl statistics interface has no room for extensions and thus has to be replaced. This feature will create a debugfs based interface, which is flexible enough for future extensions.
??? The following data will be added to the statistics:
??? Time of last statistics reset.
??? Number of requests that were started on a PAV alias.
??? Number of requests that used High Performance FICON.
??? To be able to distinguish between read and write requests, a all relevant elements will be repeated in a version that counts read requests only.
??? The ioctl interface is limited to dasd block devices (dasda, dasdb, etc.). In the context of PAV or Hyper PAV however, requests that are started on one block device may be distributed by the device driver between several CCW devices (e.g. the base device 0.0.4711 and the alias device 0.0.4712). The ioctl interface does not allow to distinguish between PAV base and alias devices. The new debugfs interface allows to add statistics for each device.
??? The old proc, ioctl and tunedasd interfaces for reading statistics will be retained, but not extended. A new tool ???dasdstat??? will be used as user interface to the debugfs interface.
??? The new kernel interface allows to enable or disable statistics for individual entities. For example, it will be possible to enable only the global statistics, or only the statistics for dasda.

Upgrading from and coexisting with a previous version

To retain the semantic of the old statistics interface, one can still use /proc/dasd/statistics to enable or disable the global and block device statistics. The ioctl and tunedasd interfaces will allow to access the original subset of statistics data.
However, this will not prevent the users fromen- or disabling statistics via the new interface. For example:
If the global statistics and block statistics are enabled via the proc interface, then it is still possible to disable specific  statistics via the debugfs interface

2. Feature Details:
Sponsor: LTC zSeries BOE
Architectures:  zSeries - 64 native, 

Arch Specificity: purely arch specific code
Affects Kernel Modules: No
Delivery Mechanism: Backport
Category: other
Request Type: Package - Feature from IBM
d. Upstream Acceptance: In Progress
Sponsor Priority P1
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target: ---

3. Business Case
This feature enables improved diagnosis of PAV (Parallel Access Volume) and HPF (High Performance Ficon) environments to analyze and tune the DASD performance in a system, e.g. to give recommendations on the number of alias devices or the usage of Hyper PAV versus Base PAV.

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com

Technical contact(s):
Hans-Georg Markgraf, mgrf@de.ibm.com

Comment 2 RHEL Product and Program Management 2011-09-16 00:51:17 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Bill Nottingham 2011-09-19 19:21:05 UTC
Moving to s390utils. If this is intended to ship separately, please comment.

Comment 4 John Jarvis 2011-09-28 15:55:38 UTC
Ignore the previous message, this feature is still under consideration for RHEL 6.3.

Comment 5 John Jarvis 2011-09-28 15:56:06 UTC
IBM is signed up to test and provide feedback, setting OtherQA.

Comment 6 IBM Bug Proxy 2011-12-06 15:52:55 UTC
Created attachment 541464 [details]
s390-tools-rhel6-dasdstat.patch


------- Comment on attachment From brueckner@linux.vnet.ibm.com 2011-12-06 10:12 EDT-------


Summary:     dasdstat: Add new zconf tool dasdstat
Description: The dasdstat command provides easy access to the debugfs based
             statistics of the DASD device driver.

Comment 9 John Jarvis 2012-01-10 17:19:15 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux
team for inclusion in a Red Hat Enterprise Linux minor release.   As a result
of this evaluation, Red Hat has tentatively approved inclusion of this feature
in the next Red Hat Enterprise Linux Update minor release.   While it is a goal
to include this enhancement in the next minor release of Red Hat Enterprise
Linux, the enhancement is not yet committed for inclusion in the next minor
release pending the next phase of actual code integration and successful Red
Hat and partner testing.

Comment 12 IBM Bug Proxy 2012-05-03 14:51:05 UTC
------- Comment From mgrf@de.ibm.com 2012-05-03 14:47 EDT-------
This feature is verified on R 6.3 snapshots - set to verified on IBM site  Thx

Comment 13 errata-xmlrpc 2012-06-20 14:11:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0885.html


Note You need to log in before you can comment on or make changes to this bug.